jQuery(function ($) {
  "use strict";

  $(document).ready(function () {

    function orderSynhronize(wcOrderId) {
      loader(true);
      $.ajax({
        type: "post",
        url: ajaxurl,
        data: {
          action: 'eurofaktura_order_synchronize',
          wc_order_id: wcOrderId,
          _wpnonce: admin_vars.nonce,
        },
        complete: function () {
          loader(false);
          window.location.reload();
        },
      });
    }

    function parcelRefresh(documentId) {
      loader(true);
      $.ajax({
        type: "post",
        url: ajaxurl,
        data: {
          action: 'eurofaktura_parcel_refresh',
          document_id: documentId,
          _wpnonce: admin_vars.nonce,
        },
        success: function (response) {
          document.getElementById(documentId).textContent = response.data.message;
        },
        complete: function () {
          loader(false);
        },
      });
    }

    function documentPDF(actionString, documentId) {

      loader(true);
      $.ajax({
        type: "post",
        url: ajaxurl,
        data: {
          action: actionString,
          document_id: documentId,
          _wpnonce: admin_vars.nonce,
        },
        success: function (response) {
          if (response.success === true) {
            var link = document.createElement("a");
            document.body.appendChild(link);
            link.setAttribute("type", "hidden");
            link.target = '_blank';
            link.href = "data:application/pdf;base64," + response.data.contents;
            link.download = response.data.filename;
            link.click();
            document.body.removeChild(link);
          }
        },
        complete: function () {
          loader(false);
        },
      });
    }

    function orderStock(documentId) {
      loader(true);
      $.ajax({
        type: "post",
        url: ajaxurl,
        data: {
          action: 'eurofaktura_order_stock',
          document_id: documentId,
          _wpnonce: admin_vars.nonce,
        },
        success: function (response) {
          if (response.success === true) {
            renderModal(response.data.modal_title, response.data.modal_contents_html);
          }
          else {
            renderModal('', response.data.message);
          }
        },
        complete: function () {
          loader(false);
        },
      });
    }


    //Loader
    function loader(show) {
      var loader = $("#eurofaktura-cover-spin");

      if (show) {
        if (!loader.length) {
          loader = $('<div id="eurofaktura-cover-spin"></div>');
          $("#wpwrap").append(loader);
        }
        loader.css("display", "block");
      } else {
        loader.css("display", "none");
        loader.remove();
      }
    }

//Modal
function renderModal(titleString, contentHtml) {
  // Create the modal element
  var modal = $('<div class="eurofaktura-custom-modal"></div>');    
  // Set the HTML content of the modal
  modal.html(`
      <div class="eurofaktura-custom-modal-content">
        <div class="eurofaktura-custom-modal-header">
          <p>${titleString}</p>
        </div>
        <div class="eurofaktura-custom-modal-body">
          ${contentHtml}
        </div>
        <div class="eurofaktura-custom-modal-footer">
          <button type="button" class="eurofaktura-close-modal button">${admin_vars.close}</button>
        </div>
      </div>
    `);

  // Append the modal to the body
  $('body').append(modal);   
  // Display the modal
  modal.css("display", "block");
} 

    
    

    $(document).on(
      "click",
      ".eurofaktura-custom-modal .eurofaktura-close-modal",
      function () {
        $(".eurofaktura-custom-modal").css("display", "none");
      }
    );

    //Order actions
    $(".eurofaktura-synchronize").click(function () {
      var orderId = $("#post_ID").val();
      orderSynhronize(orderId);
    });

    //Pdf actions
    $(".eurofaktura-pdf").click(function () {
      var documentId = $(this).data("eurofaktura-document-id");
      documentPDF('eurofaktura_document_pdf', documentId);
    });

    //Parcel actions
    $(".eurofaktura-parcelRefresh").click(function () {
      var documentId = $(this).data("eurofaktura-document-id");
      parcelRefresh(documentId);
    });

    $(".eurofaktura-parcelPdf").click(function () {
      var documentId = $(this).data("eurofaktura-document-id");
      documentPDF('eurofaktura_parcel_pdf', documentId);
    });

    //Stock actions
    $(".eurofaktura-stock").click(function () {
      var documentId = $(this).data("eurofaktura-document-id");
      orderStock(documentId);
    });

    $(".eurofaktura-meta-box-alert-close").click(function () {
      var div = $(this).parent();
      div.css("opacity", "0");
      div.css("display", "none");
    });

  });
});

