<?php

// If this file is called directly, abort.
if (!defined('ABSPATH')) exit;

/**
 * Fired during plugin deactivation
 *
 * @since      1.0.0
 * 
 * @package    eurofaktura
 * @subpackage eurofaktura/includes
 */

class Eurofaktura_deactivator {

    /**
     * Deactivate the plugin and perform cleanup tasks
     *
     * @since   1.0.0
     */
    public static function deactivate() {

        // Reset stored API credentials on deactivation
        update_option('eurofaktura_api_credentials_id', null);

        // Reset stored webhook ID on deactivation
        update_option('eurofaktura_webhook_id', null);

        // Reset stored plugin title on deactivation
        update_option('eurofaktura_title', null);

        // Mark the plugin as not connected on deactivation
        update_option('eurofaktura_connected', false);

        // Delete transient data related to orders overview bulk actions
        delete_transient(Eurofaktura_Orders_Overview_Bulk_Actions::CACHE_KEY);
    }
}
