<?php

// If this file is called directly, abort.
if (!defined('ABSPATH')) exit;

/**
 * Fired during plugin activation
 *
 * @since      1.0.0
 *
 * @package    eurofaktura
 * @subpackage eurofaktura/includes
 */

class Eurofaktura_i18n
{
	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain()
	{
		$locale = $locale = determine_locale();
		$locale = apply_filters('plugin_locale', $locale, 'eurofaktura');
		load_textdomain('eurofaktura', WP_LANG_DIR . '/eurofaktura/eurofaktura-' . $locale . '.mo');

		load_plugin_textdomain(
			'eurofaktura',
			false,
			dirname(dirname(plugin_basename(__FILE__))) . '/languages'
		);
	}
}
